package com.ibiz.core.client.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * Client 实体 [Org] 对象
 */
public interface IOrg {

    /**
     * 获取 [是否启用]
     */
    public void setEnable(Integer enable);
    
    /**
     * 设置 [是否启用]
     */
    public Integer getEnable();

    /**
     * 获取 [是否启用]脏标记
     */
    public boolean getEnableDirtyFlag();
    /**
     * 获取 [更新人]
     */
    public void setUpdateMan(String updateMan);
    
    /**
     * 设置 [更新人]
     */
    public String getUpdateMan();

    /**
     * 获取 [更新人]脏标记
     */
    public boolean getUpdateManDirtyFlag();
    /**
     * 获取 [组织名称]
     */
    public void setOrgName(String orgName);
    
    /**
     * 设置 [组织名称]
     */
    public String getOrgName();

    /**
     * 获取 [组织名称]脏标记
     */
    public boolean getOrgNameDirtyFlag();
    /**
     * 获取 [建立人]
     */
    public void setCreateMan(String createMan);
    
    /**
     * 设置 [建立人]
     */
    public String getCreateMan();

    /**
     * 获取 [建立人]脏标记
     */
    public boolean getCreateManDirtyFlag();
    /**
     * 获取 [组织编码]
     */
    public void setOrgCode(String orgCode);
    
    /**
     * 设置 [组织编码]
     */
    public String getOrgCode();

    /**
     * 获取 [组织编码]脏标记
     */
    public boolean getOrgCodeDirtyFlag();
    /**
     * 获取 [更新时间]
     */
    public void setUpdateDate(Timestamp updateDate);
    
    /**
     * 设置 [更新时间]
     */
    public Timestamp getUpdateDate();

    /**
     * 获取 [更新时间]脏标记
     */
    public boolean getUpdateDateDirtyFlag();
    /**
     * 获取 [级别编码]
     */
    public void setLevelCode(String levelCode);
    
    /**
     * 设置 [级别编码]
     */
    public String getLevelCode();

    /**
     * 获取 [级别编码]脏标记
     */
    public boolean getLevelCodeDirtyFlag();
    /**
     * 获取 [组织标识]
     */
    public void setOrgId(String orgId);
    
    /**
     * 设置 [组织标识]
     */
    public String getOrgId();

    /**
     * 获取 [组织标识]脏标记
     */
    public boolean getOrgIdDirtyFlag();
    /**
     * 获取 [建立时间]
     */
    public void setCreateDate(Timestamp createDate);
    
    /**
     * 设置 [建立时间]
     */
    public Timestamp getCreateDate();

    /**
     * 获取 [建立时间]脏标记
     */
    public boolean getCreateDateDirtyFlag();
    /**
     * 获取 [上级组织]
     */
    public void setPOrgName(String pOrgName);
    
    /**
     * 设置 [上级组织]
     */
    public String getPOrgName();

    /**
     * 获取 [上级组织]脏标记
     */
    public boolean getPOrgNameDirtyFlag();
    /**
     * 获取 [上级组织标识]
     */
    public void setPOrgId(String pOrgId);
    
    /**
     * 设置 [上级组织标识]
     */
    public String getPOrgId();

    /**
     * 获取 [上级组织标识]脏标记
     */
    public boolean getPOrgIdDirtyFlag();
}
